import classnames from 'classnames';
import classes from './styles.module.scss';
import useInstructionText from './hooks/useInstructionText';
const InstructionOverlay = function InstructionOverlay(props) {
  const {
    instructionOverlay,
    clearInstructionOverlay
  } = props;
  const instructionText = useInstructionText(instructionOverlay, clearInstructionOverlay);
  return <div className={classnames(classes.container, {
    [classes.active]: instructionOverlay
  })}>
      <p className={classes.text}>
        {instructionText}
      </p>
    </div>;
};
export default InstructionOverlay;